[Fedora-livecd-list] tools/livecd-iso-to-disk.sh

Brian C. Lane bcl at fedoraproject.org
Fri May 6 00:01:29 UTC 2011


 tools/livecd-iso-to-disk.sh |    6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

New commits:
commit 3c985ba4735dbf6e75b7e518413b0d02881b3d11
Author: Brian C. Lane <bcl at redhat.com>
Date:   Thu May 5 16:56:36 2011 -0700

    Copy updates and product image files
    
    In order to properly support copying RHEL images to USB we need to
    include any updates.img or product.img files that are present on the
    original iso.

diff --git a/tools/livecd-iso-to-disk.sh b/tools/livecd-iso-to-disk.sh
index 5261aab..d5c3f65 100755
--- a/tools/livecd-iso-to-disk.sh
+++ b/tools/livecd-iso-to-disk.sh
@@ -1038,7 +1038,11 @@ if [ \( "$srctype" = "installer" -o "$srctype" = "netinst" \) ]; then
     echo "Copying DVD image to target device."
     mkdir -p $TGTMNT/images/
     if [ "$imgtype" = "install" ]; then
-        copyFile $SRCMNT/images/install.img $TGTMNT/images/install.img || exitclean
+        for img in install.img updates.img product.img; do
+            if [ -e $SRCMNT/images/$img ]; then
+                copyFile $SRCMNT/images/$img $TGTMNT/images/$img || exitclean
+            fi
+        done
     fi
     if [ "$srctype" = "installer" -a -z "$skipcopy" ]; then
         cp $SRC $TGTMNT/




More information about the livecd mailing list